/*
 * This file is part of GriefDefender, licensed under the MIT License (MIT).
 *
 * Copyright (c) bloodmc
 * Copyright (c) contributors
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package com.griefdefender.cache;

import com.griefdefender.api.permission.flag.Flag;
import com.griefdefender.api.permission.option.Option;
import com.griefdefender.configuration.MessageStorage;
import com.griefdefender.permission.flag.GDFlag;
import com.griefdefender.permission.option.GDOption;
import com.griefdefender.registry.FlagRegistryModule;
import com.griefdefender.registry.OptionRegistryModule;

import net.kyori.text.Component;

public class MessageCache {

    private static MessageCache instance;

    static {
        instance = new MessageCache();
    }

    public static MessageCache getInstance() {
        return instance;
    }

    public Component ABANDON_ALL_DELAY_WARNING;
    public Component ABANDON_ALL_WARNING;
    public Component ABANDON_CLAIM_MISSING;
    public Component ABANDON_TOP_LEVEL;
    public Component ABANDON_TOWN_CHILDREN;
    public Component ABANDON_WARNING;
    public Component BANK_CLICK_VIEW_TRANSACTIONS;
    public Component BANK_DEPOSIT_NO_FUNDS;
    public Component BANK_TITLE_TRANSACTIONS;
    public Component BANK_SYSTEM_DISABLED;
    public Component BANK_TAX_SYSTEM_DISABLED;
    public Component CLAIM_AUTOMATIC_NOTIFICATION;
    public Component CLAIM_CHEST_CONFIRMATION;
    public Component CLAIM_CHILDREN_WARNING;
    public Component CLAIM_DISABLED_WORLD;
    public Component CLAIM_FAREWELL_CLEAR;
    public Component CLAIM_GREETING_CLEAR;
    public Component CLAIM_IGNORE;
    public Component CLAIM_NO_CLAIMS;
    public Component CLAIM_NOT_FOUND;
    public Component CLAIM_NOT_YOURS;
    public Component CLAIM_OWNER_ALREADY;
    public Component CLAIM_OWNER_ONLY;
    public Component CLAIM_RESPECTING;
    public Component CLAIM_RESERVE_EXISTS;
    public Component CLAIM_RESERVED_NAME;
    public Component CLAIM_RESTORE_IN_PROGRESS;
    public Component CLAIM_RESTORE_SUCCESS;
    public Component CLAIM_TOO_FAR;
    public Component CLAIMINFO_UI_ADMIN_SETTINGS;
    public Component CLAIMINFO_UI_BANK_INFO;
    public Component CLAIMINFO_UI_CLAIM_EXPIRATION;
    public Component CLAIMINFO_UI_CLICK_ADMIN;
    public Component CLAIMINFO_UI_CLICK_BANK;
    public Component CLAIMINFO_UI_CLICK_FAREWELL;
    public Component CLAIMINFO_UI_CLICK_GREETING;
    public Component CLAIMINFO_UI_CLICK_NAME;
    public Component CLAIMINFO_UI_CLICK_TOGGLE;
    public Component CLAIMINFO_UI_DENY_MESSAGES;
    public Component CLAIMINFO_UI_FLAG_OVERRIDES;
    public Component CLAIMINFO_UI_FOR_SALE;
    public Component CLAIMINFO_UI_INHERIT_PARENT;
    public Component CLAIMINFO_UI_LAST_ACTIVE;
    public Component CLAIMINFO_UI_NORTH_CORNERS;
    public Component CLAIMINFO_UI_PVP_OVERRIDES;
    public Component CLAIMINFO_UI_REQUIRES_CLAIM_BLOCKS;
    public Component CLAIMINFO_UI_RETURN_BANKINFO;
    public Component CLAIMINFO_UI_RETURN_CLAIMINFO;
    public Component CLAIMINFO_UI_RETURN_RENTINFO;
    public Component CLAIMINFO_UI_RETURN_SETTINGS;
    public Component CLAIMINFO_UI_SIZE_RESTRICTIONS;
    public Component CLAIMINFO_UI_SOUTH_CORNERS;
    public Component CLAIMINFO_UI_TELEPORT_FEATURE;
    public Component CLAIMINFO_UI_TELEPORT_SPAWN;
    public Component CLAIMINFO_UI_TITLE_CLAIMINFO;
    public Component CLAIMINFO_UI_TOWN_SETTINGS;
    public Component CLAIMLIST_UI_CLICK_INFO;
    public Component CLAIMLIST_UI_CLICK_PLAYER_LIST;
    public Component CLAIMLIST_UI_CLICK_PURCHASE;
    public Component CLAIMLIST_UI_CLICK_RENT;
    public Component CLAIMLIST_UI_CLICK_VIEW_CHILDREN;
    public Component CLAIMLIST_UI_CLICK_VIEW_CLAIMS;
    public Component CLAIMLIST_UI_NO_CLAIMS_FOUND;
    public Component CLAIMLIST_UI_RETURN_CLAIMSLIST;
    public Component CLAIMLIST_UI_TITLE;
    public Component CLAIMLIST_UI_TITLE_CHILD_CLAIMS;
    public Component CLAIMTOOL_NOT_ENABLED;
    public Component COMMAND_CLAIMBUY_TITLE;
    public Component COMMAND_CLAIMCLEAR_UUID_DENY;
    public Component COMMAND_CLAIMFLAGDEBUG_DISABLED;
    public Component COMMAND_CLAIMFLAGDEBUG_ENABLED;
    public Component COMMAND_CLAIMINFO_NOT_FOUND;
    public Component COMMAND_CLAIMINFO_UUID_REQUIRED;
    public Component COMMAND_CLAIMINHERIT_DISABLED;
    public Component COMMAND_CLAIMINHERIT_ENABLED;
    public Component COMMAND_CLAIMMODE_DISABLED;
    public Component COMMAND_CLAIMMODE_ENABLED;
    public Component COMMAND_CLAIMTOOL_DISABLED;
    public Component COMMAND_CLAIMTOOL_ENABLED;
    public Component COMMAND_CUBOID_DISABLED;
    public Component COMMAND_CUBOID_ENABLED;
    public Component COMMAND_INHERIT_ONLY_CHILD;
    public Component COMMAND_INVALID;
    public Component COMMAND_INVALID_PLAYER_GROUP;
    public Component COMMAND_NOT_AVAILABLE_ECONOMY;
    public Component COMMAND_PET_CONFIRMATION;
    public Component COMMAND_PET_TRANSFER_READY;
    public Component COMMAND_PET_TRANSFER_CANCEL;
    public Component COMMAND_TRAPPED_BUILD_ACCESS;
    public Component COMMAND_TRAPPED_CANCEL_MOVE;
    public Component COMMAND_TRAPPED_PVP_COMBAT;
    public Component COMMAND_TRAPPED_SUCCESS;
    public Component COMMAND_UNLOCK_DROPS;
    public Component COMMAND_UNLOCK_DROPS_NONE;
    public Component COMMAND_WORLDEDIT_MISSING;
    public Component CONFIRM_NOT_FOUND;
    public Component CREATE_CANCEL;
    public Component CREATE_CUBOID_DISABLED;
    public Component CREATE_OVERLAP;
    public Component CREATE_OVERLAP_SHORT;
    public Component CREATE_SUBDIVISION_FAIL;
    public Component CREATE_SUBDIVISION_ONLY;
    public Component DEBUG_CLICK_TO_EXPAND;
    public Component DEBUG_NO_RECORDS;
    public Component DEBUG_PASTE_SUCCESS;
    public Component DEBUG_RECORD_END;
    public Component DEBUG_RECORD_START;
    public Component DEBUG_TIME_ELAPSED;
    public Component ECONOMY_BLOCK_BUY_INVALID;
    public Component ECONOMY_BLOCK_BUY_SELL_DISABLED;
    public Component ECONOMY_BLOCK_NOT_AVAILABLE;
    public Component ECONOMY_BLOCK_ONLY_BUY;
    public Component ECONOMY_BLOCK_ONLY_SELL;
    public Component ECONOMY_BLOCK_TRANSFER_CANCEL;
    public Component ECONOMY_BLOCK_TRANSFER_WARNING;
    public Component ECONOMY_CLAIM_NOT_FOR_SALE;
    public Component ECONOMY_CLAIM_RENT_CANCEL_CONFIRMATION;
    public Component ECONOMY_CLAIM_RENT_RESTORE_CANCEL_CONFIRMATION;
    public Component ECONOMY_CLAIM_RENT_CANCELLED;
    public Component ECONOMY_CLAIM_RENT_NOT_RENTING;
    public Component ECONOMY_CLAIM_RENT_OWNER_NOT_RENTING;
    public Component ECONOMY_CLAIM_SALE_CANCEL_CONFIRMATION;
    public Component ECONOMY_CLAIM_SALE_CANCELLED;
    public Component ECONOMY_MODE_NOT_ENABLED;
    public Component ECONOMY_NOT_INSTALLED;
    public Component ECONOMY_SIGN_RENT_DAYS_LEFT;
    public Component ECONOMY_SIGN_RENT_DESCRIPTION;
    public Component ECONOMY_SIGN_RENT_FOOTER;
    public Component ECONOMY_SIGN_RENTED_LINE1;
    public Component ECONOMY_SIGN_RENTED_LINE3;
    public Component ECONOMY_SIGN_RENTED_LINE4;
    public Component ECONOMY_SIGN_SELL_DESCRIPTION;
    public Component ECONOMY_SIGN_SELL_FOOTER;
    public Component ECONOMY_SIGN_SOLD_LINE1;
    public Component ECONOMY_SIGN_SOLD_LINE3;
    public Component ECONOMY_SIGN_SOLD_LINE4;
    public Component ECONOMY_VIRTUAL_NOT_SUPPORTED;
    public Component FEATURE_NOT_AVAILABLE;
    public Component FLAG_DESCRIPTION_CUSTOM_ANIMAL_BLOCK_MODIFY;
    public Component FLAG_DESCRIPTION_CUSTOM_ARMOR_STAND_USE;
    public Component FLAG_DESCRIPTION_CUSTOM_BLOCK_TRAMPLING;
    public Component FLAG_DESCRIPTION_CUSTOM_CHEST_ACCESS;
    public Component FLAG_DESCRIPTION_CUSTOM_CHORUS_FRUIT_TELEPORT;
    public Component FLAG_DESCRIPTION_CUSTOM_CREEPER_BLOCK_EXPLOSION;
    public Component FLAG_DESCRIPTION_CUSTOM_CREEPER_ENTITY_EXPLOSION;
    public Component FLAG_DESCRIPTION_CUSTOM_CROP_GROWTH;
    public Component FLAG_DESCRIPTION_CUSTOM_DAMAGE_ANIMALS;
    public Component FLAG_DESCRIPTION_CUSTOM_END_CRYSTAL_USE;
    public Component FLAG_DESCRIPTION_CUSTOM_ENDERMAN_GRIEF;
    public Component FLAG_DESCRIPTION_CUSTOM_ENTITY_ARMORSTAND_DAMAGE;
    public Component FLAG_DESCRIPTION_CUSTOM_ENTITY_ITEMFRAME_DAMAGE;
    public Component FLAG_DESCRIPTION_CUSTOM_EXP_DROP;
    public Component FLAG_DESCRIPTION_CUSTOM_FALL_ENTITY_DAMAGE;
    public Component FLAG_DESCRIPTION_CUSTOM_FALL_PLAYER_DAMAGE;
    public Component FLAG_DESCRIPTION_CUSTOM_FALLING_BLOCK_BREAK;
    public Component FLAG_DESCRIPTION_CUSTOM_FIRE_BLOCK_DAMAGE;
    public Component FLAG_DESCRIPTION_CUSTOM_FIRE_ENTITY_DAMAGE;
    public Component FLAG_DESCRIPTION_CUSTOM_FIRE_SPREAD;
    public Component FLAG_DESCRIPTION_CUSTOM_GRASS_GROWTH;
    public Component FLAG_DESCRIPTION_CUSTOM_ICE_FORM;
    public Component FLAG_DESCRIPTION_CUSTOM_ICE_MELT;
    public Component FLAG_DESCRIPTION_CUSTOM_LAVA_FLOW;
    public Component FLAG_DESCRIPTION_CUSTOM_LEAF_DECAY;
    public Component FLAG_DESCRIPTION_CUSTOM_LIGHTNING;
    public Component FLAG_DESCRIPTION_CUSTOM_LIGHTER;
    public Component FLAG_DESCRIPTION_CUSTOM_MONSTER_ANIMAL_DAMAGE;
    public Component FLAG_DESCRIPTION_CUSTOM_MONSTER_PLAYER_DAMAGE;
    public Component FLAG_DESCRIPTION_CUSTOM_MONSTER_SPAWN;
    public Component FLAG_DESCRIPTION_CUSTOM_MUSHROOM_GROWTH;
    public Component FLAG_DESCRIPTION_CUSTOM_MYCELIUM_SPREAD;
    public Component FLAG_DESCRIPTION_CUSTOM_PLAYER_BLOCK_BREAK;
    public Component FLAG_DESCRIPTION_CUSTOM_PLAYER_BLOCK_INTERACT;
    public Component FLAG_DESCRIPTION_CUSTOM_PLAYER_BLOCK_PLACE;
    public Component FLAG_DESCRIPTION_CUSTOM_PLAYER_DAMAGE;
    public Component FLAG_DESCRIPTION_CUSTOM_PLAYER_ENDERPEARL_INTERACT;
    public Component FLAG_DESCRIPTION_CUSTOM_PLAYER_ENDPORTAL_USE;
    public Component FLAG_DESCRIPTION_CUSTOM_PLAYER_ENTER;
    public Component FLAG_DESCRIPTION_CUSTOM_PLAYER_ENTITY_INTERACT;
    public Component FLAG_DESCRIPTION_CUSTOM_PLAYER_EXIT;
    public Component FLAG_DESCRIPTION_CUSTOM_PLAYER_INVENTORY_INTERACT;
    public Component FLAG_DESCRIPTION_CUSTOM_PLAYER_ITEMFRAME_INTERACT;
    public Component FLAG_DESCRIPTION_CUSTOM_PLAYER_ITEMHANGING_PLACE;
    public Component FLAG_DESCRIPTION_CUSTOM_PLAYER_ITEM_DROP;
    public Component FLAG_DESCRIPTION_CUSTOM_PLAYER_ITEM_PICKUP;
    public Component FLAG_DESCRIPTION_CUSTOM_PLAYER_NETHERPORTAL_USE;
    public Component FLAG_DESCRIPTION_CUSTOM_PLAYER_TELEPORT_FROM;
    public Component FLAG_DESCRIPTION_CUSTOM_PLAYER_TELEPORT_TO;
    public Component FLAG_DESCRIPTION_CUSTOM_PLAYER_VILLAGER_DAMAGE;
    public Component FLAG_DESCRIPTION_CUSTOM_PISTON_ITEM_SPAWN;
    public Component FLAG_DESCRIPTION_CUSTOM_PISTON_USE;
    public Component FLAG_DESCRIPTION_CUSTOM_PVP;
    public Component FLAG_DESCRIPTION_CUSTOM_RAVAGER_BLOCK_BREAK;
    public Component FLAG_DESCRIPTION_CUSTOM_RIDE;
    public Component FLAG_DESCRIPTION_CUSTOM_SLEEP;
    public Component FLAG_DESCRIPTION_CUSTOM_SILVERFISH_BLOCK_INFEST;
    public Component FLAG_DESCRIPTION_CUSTOM_SNOW_FALL;
    public Component FLAG_DESCRIPTION_CUSTOM_SNOW_MELT;
    public Component FLAG_DESCRIPTION_CUSTOM_SNOWMAN_TRAIL;
    public Component FLAG_DESCRIPTION_CUSTOM_SOIL_DRY;
    public Component FLAG_DESCRIPTION_CUSTOM_SPAWN_AQUATIC;
    public Component FLAG_DESCRIPTION_CUSTOM_SPAWN_AMBIENT;
    public Component FLAG_DESCRIPTION_CUSTOM_SPAWN_ANIMAL;
    public Component FLAG_DESCRIPTION_CUSTOM_TNT_BLOCK_EXPLOSION;
    public Component FLAG_DESCRIPTION_CUSTOM_TNT_ENTITY_EXPLOSION;
    public Component FLAG_DESCRIPTION_CUSTOM_TURTLE_EGG_HATCH;
    public Component FLAG_DESCRIPTION_CUSTOM_USE;
    public Component FLAG_DESCRIPTION_CUSTOM_VEHICLE_USE;
    public Component FLAG_DESCRIPTION_CUSTOM_WITHER_BLOCK_BREAK;
    public Component FLAG_DESCRIPTION_CUSTOM_WITHER_ENTITY_DAMAGE;
    public Component FLAG_DESCRIPTION_CUSTOM_VEHICLE_PLACE;
    public Component FLAG_DESCRIPTION_CUSTOM_VILLAGER_FARM;
    public Component FLAG_DESCRIPTION_CUSTOM_VILLAGER_TRADE;
    public Component FLAG_DESCRIPTION_CUSTOM_VINE_GROWTH;
    public Component FLAG_DESCRIPTION_CUSTOM_WATER_FLOW;
    public Component FLAG_DESCRIPTION_BLOCK_BREAK;
    public Component FLAG_DESCRIPTION_BLOCK_GROW;
    public Component FLAG_DESCRIPTION_BLOCK_MODIFY;
    public Component FLAG_DESCRIPTION_BLOCK_PLACE;
    public Component FLAG_DESCRIPTION_BLOCK_SPREAD;
    public Component FLAG_DESCRIPTION_COLLIDE_BLOCK;
    public Component FLAG_DESCRIPTION_COLLIDE_ENTITY;
    public Component FLAG_DESCRIPTION_COMMAND_EXECUTE;
    public Component FLAG_DESCRIPTION_COMMAND_EXECUTE_PVP;
    public Component FLAG_DESCRIPTION_ENTER_CLAIM;
    public Component FLAG_DESCRIPTION_ENTITY_CHUNK_SPAWN;
    public Component FLAG_DESCRIPTION_ENTITY_DAMAGE;
    public Component FLAG_DESCRIPTION_ENTITY_RIDING;
    public Component FLAG_DESCRIPTION_ENTITY_SPAWN;
    public Component FLAG_DESCRIPTION_ENTITY_TELEPORT_FROM;
    public Component FLAG_DESCRIPTION_ENTITY_TELEPORT_TO;
    public Component FLAG_DESCRIPTION_EXIT_CLAIM;
    public Component FLAG_DESCRIPTION_EXPLOSION_BLOCK;
    public Component FLAG_DESCRIPTION_EXPLOSION_ENTITY;
    public Component FLAG_DESCRIPTION_INTERACT_BLOCK_PRIMARY;
    public Component FLAG_DESCRIPTION_INTERACT_BLOCK_SECONDARY;
    public Component FLAG_DESCRIPTION_INTERACT_ENTITY_PRIMARY;
    public Component FLAG_DESCRIPTION_INTERACT_ENTITY_SECONDARY;
    public Component FLAG_DESCRIPTION_INTERACT_INVENTORY;
    public Component FLAG_DESCRIPTION_INTERACT_ITEM_PRIMARY;
    public Component FLAG_DESCRIPTION_INTERACT_ITEM_SECONDARY;
    public Component FLAG_DESCRIPTION_INTERACT_INVENTORY_CLICK;
    public Component FLAG_DESCRIPTION_ITEM_DROP;
    public Component FLAG_DESCRIPTION_ITEM_PICKUP;
    public Component FLAG_DESCRIPTION_ITEM_SPAWN;
    public Component FLAG_DESCRIPTION_ITEM_USE;
    public Component FLAG_DESCRIPTION_LEAF_DECAY;
    public Component FLAG_DESCRIPTION_LIQUID_FLOW;
    public Component FLAG_DESCRIPTION_PORTAL_USE;
    public Component FLAG_DESCRIPTION_PROJECTILE_IMPACT_BLOCK;
    public Component FLAG_DESCRIPTION_PROJECTILE_IMPACT_ENTITY;
    public Component FLAG_RESET_SUCCESS;
    public Component FLAG_RESET_WARNING;
    public Component FLAG_UI_CLICK_ALLOW;
    public Component FLAG_UI_CLICK_DENY;
    public Component FLAG_UI_CLICK_REMOVE;
    public Component FLAG_UI_EVENT_CANCEL;
    public Component FLAG_UI_HOVER_ACTIVE_RESULT;
    public Component FLAG_UI_HOVER_DEFAULT_VALUE;
    public Component FLAG_UI_HOVER_DEFINITION_CONTEXTS;
    public Component FLAG_UI_HOVER_PARTIAL;
    public Component FLAG_UI_INFO_CLAIM;
    public Component FLAG_UI_INFO_DEFAULT;
    public Component FLAG_UI_INFO_INHERIT;
    public Component FLAG_UI_INFO_OVERRIDE;
    public Component FLAG_UI_OVERRIDE_NO_PERMISSION;
    public Component FLAG_UI_RETURN_FLAGS;
    public Component LABEL_ACCESSORS;
    public Component LABEL_ALL;
    public Component LABEL_AREA;
    public Component LABEL_AVAILABLE;
    public Component LABEL_BALANCE;
    public Component LABEL_BLOCKS;
    public Component LABEL_BUILDERS;
    public Component LABEL_BUY;
    public Component LABEL_CANCEL;
    public Component LABEL_CHILDREN;
    public Component LABEL_CLAIM;
    public Component LABEL_CONFIRM;
    public Component LABEL_CONTAINERS;
    public Component LABEL_CONTEXT;
    public Component LABEL_CREATED;
    public Component LABEL_DAY;
    public Component LABEL_DAYS;
    public Component LABEL_DEFAULT;
    public Component LABEL_DISPLAYING;
    public Component LABEL_EXPIRED;
    public Component LABEL_FAREWELL;
    public Component LABEL_FILTER;
    public Component LABEL_FLAG;
    public Component LABEL_GREETING;
    public Component LABEL_GROUP;
    public Component LABEL_HOUR;
    public Component LABEL_HOURS;
    public Component LABEL_INFO;
    public Component LABEL_INHERIT;
    public Component LABEL_LOCATION;
    public Component LABEL_MANAGERS;
    public Component LABEL_MINUTE;
    public Component LABEL_MINUTES;
    public Component LABEL_NAME;
    public Component LABEL_NO;
    public Component LABEL_NONE;
    public Component LABEL_OUTPUT;
    public Component LABEL_OWED;
    public Component LABEL_OWNER;
    public Component LABEL_PAYMENT;
    public Component LABEL_PERMISSION;
    public Component LABEL_PLAYER;
    public Component LABEL_PRESET;
    public Component LABEL_PRICE;
    public Component LABEL_RAID;
    public Component LABEL_RATE;
    public Component LABEL_RENT;
    public Component LABEL_RENTER;
    public Component LABEL_RESIZABLE;
    public Component LABEL_RESULT;
    public Component LABEL_SCHEMATIC;
    public Component LABEL_SOURCE;
    public Component LABEL_SPAWN;
    public Component LABEL_STATUS;
    public Component LABEL_TARGET;
    public Component LABEL_TRUST;
    public Component LABEL_TYPE;
    public Component LABEL_UNKNOWN;
    public Component LABEL_USER;
    public Component LABEL_WORLD;
    public Component LABEL_YES;
    public Component MODE_ADMIN;
    public Component MODE_BASIC;
    public Component MODE_NATURE;
    public Component MODE_SUBDIVISION;
    public Component MODE_TOWN;
    public Component OPTION_APPLY_PLAYER_DENY_FLIGHT;
    public Component OPTION_APPLY_PLAYER_DENY_GODMODE;
    public Component OPTION_DESCRIPTION_ABANDON_DELAY;
    public Component OPTION_DESCRIPTION_ABANDON_RETURN_RATIO;
    public Component OPTION_DESCRIPTION_BLOCKS_ACCRUED_PER_HOUR;
    public Component OPTION_DESCRIPTION_CHEST_EXPIRATION;
    public Component OPTION_DESCRIPTION_CREATE_LIMIT;
    public Component OPTION_DESCRIPTION_CREATE_MODE;
    public Component OPTION_DESCRIPTION_ECONOMY_BLOCK_COST;
    public Component OPTION_DESCRIPTION_ECONOMY_BLOCK_SELL_RETURN;
    public Component OPTION_DESCRIPTION_EXPIRATION;
    public Component OPTION_DESCRIPTION_INITIAL_BLOCKS;
    public Component OPTION_DESCRIPTION_MAX_ACCRUED_BLOCKS;
    public Component OPTION_DESCRIPTION_MAX_LEVEL;
    public Component OPTION_DESCRIPTION_MAX_SIZE_X;
    public Component OPTION_DESCRIPTION_MAX_SIZE_Y;
    public Component OPTION_DESCRIPTION_MAX_SIZE_Z;
    public Component OPTION_DESCRIPTION_MIN_LEVEL;
    public Component OPTION_DESCRIPTION_MIN_SIZE_X;
    public Component OPTION_DESCRIPTION_MIN_SIZE_Y;
    public Component OPTION_DESCRIPTION_MIN_SIZE_Z;
    public Component OPTION_DESCRIPTION_PLAYER_COMMAND_ENTER;
    public Component OPTION_DESCRIPTION_PLAYER_COMMAND_EXIT;
    public Component OPTION_DESCRIPTION_PLAYER_DENY_FLIGHT;
    public Component OPTION_DESCRIPTION_PLAYER_DENY_GODMODE;
    public Component OPTION_DESCRIPTION_PLAYER_DENY_HUNGER;
    public Component OPTION_DESCRIPTION_PLAYER_GAMEMODE;
    public Component OPTION_DESCRIPTION_PLAYER_HEALTH_REGEN;
    public Component OPTION_DESCRIPTION_PLAYER_KEEP_INVENTORY;
    public Component OPTION_DESCRIPTION_PLAYER_KEEP_LEVEL;
    public Component OPTION_DESCRIPTION_PLAYER_WALK_SPEED;
    public Component OPTION_DESCRIPTION_PLAYER_WEATHER;
    public Component OPTION_DESCRIPTION_RADIUS_INSPECT;
    public Component OPTION_DESCRIPTION_TAX_EXPIRATION;
    public Component OPTION_DESCRIPTION_TAX_EXPIRATION_DAYS_KEEP;
    public Component OPTION_DESCRIPTION_TAX_RATE;
    public Component OPTION_UI_CLICK_REMOVE;
    public Component OPTION_UI_NOT_DEFINED;
    public Component OWNER_ADMIN;
    public Component PERMISSION_ASSIGN_WITHOUT_HAVING;
    public Component PERMISSION_CLAIM_CREATE;
    public Component PERMISSION_CLAIM_ENTER;
    public Component PERMISSION_CLAIM_EXIT;
    public Component PERMISSION_CLAIM_LIST;
    public Component PERMISSION_CLAIM_RESET_FLAGS_SELF;
    public Component PERMISSION_CLAIM_RESIZE;
    public Component PERMISSION_CLAIM_SALE;
    public Component PERMISSION_CLAIM_TRANSFER_ADMIN;
    public Component PERMISSION_CLEAR;
    public Component PERMISSION_CLEAR_ALL;
    public Component PERMISSION_COMMAND_TRUST;
    public Component PERMISSION_CUBOID;
    public Component PERMISSION_EDIT_CLAIM;
    public Component PERMISSION_FALSE;
    public Component PERMISSION_FIRE_SPREAD;
    public Component PERMISSION_FLAG_DEFAULTS;
    public Component PERMISSION_FLAG_OVERRIDES;
    public Component PERMISSION_FLAG_ARG;
    public Component PERMISSION_FLAG_GUI;
    public Component PERMISSION_FLAG_USE;
    public Component PERMISSION_FLOW_LIQUID;
    public Component PERMISSION_GLOBAL_OPTION;
    public Component PERMISSION_GRANT;
    public Component PERMISSION_GROUP_OPTION;
    public Component PERMISSION_OPTION_DEFAULTS;
    public Component PERMISSION_OPTION_OVERRIDES;
    public Component PERMISSION_OPTION_USE;
    public Component PERMISSION_OVERRIDE_DENY;
    public Component PERMISSION_PLAYER_ADMIN_FLAGS;
    public Component PERMISSION_PLAYER_OPTION;
    public Component PERMISSION_PLAYER_VIEW_OTHERS;
    public Component PERMISSION_TAX;
    public Component PERMISSION_TRUE;
    public Component PERMISSION_UNDEFINED;
    public Component PERMISSION_VISUAL_CLAIMS_NEARBY;
    public Component PLAYER_ITEM_DROPS_LOCK;
    public Component PLUGIN_EVENT_CANCEL;
    public Component PLUGIN_RELOAD;
    public Component PVP_CLAIM_NOT_ALLOWED;
    public Component PVP_SOURCE_CREATIVE_NOT_ALLOWED;
    public Component PVP_SOURCE_FLY_NOT_ALLOWED;
    public Component PVP_SOURCE_NOT_ALLOWED;
    public Component PVP_TARGET_NOT_ALLOWED;
    public Component RENT_SYSTEM_DISABLED;
    public Component RENT_UI_CLICK_CANCEL;
    public Component RENT_UI_CLICK_RENT;
    public Component RENT_UI_END_DATE;
    public Component RENT_UI_HOVER_END_DATE;
    public Component RENT_UI_INFO_HEADER;
    public Component RENT_UI_MINIMUM;
    public Component RENT_UI_NEXT_PAYMENT_DUE_DATE;
    public Component RENT_UI_NO_TRANSACTIONS;
    public Component RENT_UI_RETURN_INFO;
    public Component RENT_UI_START_DATE;
    public Component RENT_UI_VIEW_TRANSACTIONS;
    public Component RENT_UI_TITLE_TRANSACTIONS;
    public Component RESIZE_OVERLAP;
    public Component RESIZE_OVERLAP_SUBDIVISION;
    public Component RESIZE_SAME_LOCATION;
    public Component RESIZE_START;
    public Component RESULT_TYPE_FAIL;
    public Component RESULT_TYPE_SUCCESS;
    public Component SCHEMATIC_ABANDON_ALL_RESTORE_WARNING;
    public Component SCHEMATIC_ABANDON_RESTORE_WARNING;
    public Component SCHEMATIC_CREATE;
    public Component SCHEMATIC_CREATE_COMPLETE;
    public Component SCHEMATIC_CREATE_FAIL;
    public Component SCHEMATIC_NONE;
    public Component SPAWN_NOT_SET;
    public Component TAX_NO_BALANCE;
    public Component TAX_SYSTEM_DISABLED;
    public Component TELEPORT_MOVE_CANCEL;
    public Component TELEPORT_NO_SAFE_LOCATION;
    public Component TITLE_ACCESSOR;
    public Component TITLE_ADMIN;
    public Component TITLE_ADVANCED;
    public Component TITLE_ALL;
    public Component TITLE_BUILDER;
    public Component TITLE_BUY;
    public Component TITLE_CLAIM;
    public Component TITLE_CONTAINER;
    public Component TITLE_DEFAULT;
    public Component TITLE_GROUP;
    public Component TITLE_INHERIT;
    public Component TITLE_MANAGER;
    public Component TITLE_OWN;
    public Component TITLE_OVERRIDE;
    public Component TITLE_PRESET;
    public Component TITLE_RENT;
    public Component TOWN_CHAT_DISABLED;
    public Component TOWN_CHAT_ENABLED;
    public Component TOWN_NOT_FOUND;
    public Component TOWN_NOT_IN;
    public Component TOWN_OWNER;
    public Component TOWN_TAG_CLEAR;
    public Component TOWN_TAX_NO_CLAIMS;
    public Component TRUST_CLICK_SHOW_LIST;
    public Component TRUST_INVALID;
    public Component TRUST_LIST_HEADER;
    public Component TRUST_NO_CLAIMS;
    public Component TRUST_SELF;
    public Component UI_CLICK_ADD;
    public Component UI_CLICK_ADD_GROUP;
    public Component UI_CLICK_ADD_PLAYER;
    public Component UI_CLICK_CONFIRM;
    public Component UI_CLICK_RECORD_CHAT;
    public Component UI_CLICK_REMOVE;
    public Component UI_CLICK_VIEW_TRANSACTIONS;
    public Component UI_CONFLICT_DATA;
    public Component UI_PAY_NEXT_DUE_DATE;
    public Component UI_RECORD_CHAT;
    public Component UNTRUST_NO_CLAIMS;
    public Component UNTRUST_SELF;

    public void loadCache() {
        ABANDON_ALL_DELAY_WARNING = MessageStorage.MESSAGE_DATA.getMessage("abandon-all-delay-warning");
        ABANDON_ALL_WARNING = MessageStorage.MESSAGE_DATA.getMessage("abandon-all-warning");
        ABANDON_CLAIM_MISSING = MessageStorage.MESSAGE_DATA.getMessage("abandon-claim-missing");
        ABANDON_TOP_LEVEL = MessageStorage.MESSAGE_DATA.getMessage("abandon-top-level");
        ABANDON_TOWN_CHILDREN = MessageStorage.MESSAGE_DATA.getMessage("abandon-town-children");
        ABANDON_WARNING = MessageStorage.MESSAGE_DATA.getMessage("abandon-warning");
        BANK_CLICK_VIEW_TRANSACTIONS = MessageStorage.MESSAGE_DATA.getMessage("bank-click-view-transactions");
        BANK_DEPOSIT_NO_FUNDS = MessageStorage.MESSAGE_DATA.getMessage("bank-deposit-no-funds");
        BANK_SYSTEM_DISABLED = MessageStorage.MESSAGE_DATA.getMessage("bank-system-disabled");
        BANK_TAX_SYSTEM_DISABLED = MessageStorage.MESSAGE_DATA.getMessage("bank-tax-system-disabled");
        BANK_TITLE_TRANSACTIONS = MessageStorage.MESSAGE_DATA.getMessage("bank-title-transactions");
        CLAIM_AUTOMATIC_NOTIFICATION = MessageStorage.MESSAGE_DATA.getMessage("claim-automatic-notification");
        CLAIM_CHEST_CONFIRMATION = MessageStorage.MESSAGE_DATA.getMessage("claim-chest-confirmation");
        CLAIM_CHILDREN_WARNING = MessageStorage.MESSAGE_DATA.getMessage("claim-children-warning");
        CLAIM_DISABLED_WORLD = MessageStorage.MESSAGE_DATA.getMessage("claim-disabled-world");
        CLAIM_FAREWELL_CLEAR = MessageStorage.MESSAGE_DATA.getMessage("claim-farewell-clear");
        CLAIM_GREETING_CLEAR = MessageStorage.MESSAGE_DATA.getMessage("claim-greeting-clear");
        CLAIM_IGNORE = MessageStorage.MESSAGE_DATA.getMessage("claim-ignore");
        CLAIM_NO_CLAIMS = MessageStorage.MESSAGE_DATA.getMessage("claim-no-claims");
        CLAIM_NOT_FOUND = MessageStorage.MESSAGE_DATA.getMessage("claim-not-found");
        CLAIM_NOT_YOURS = MessageStorage.MESSAGE_DATA.getMessage("claim-not-yours");
        CLAIM_OWNER_ALREADY = MessageStorage.MESSAGE_DATA.getMessage("claim-owner-already");
        CLAIM_OWNER_ONLY = MessageStorage.MESSAGE_DATA.getMessage("claim-owner-only");
        CLAIM_RESERVE_EXISTS = MessageStorage.MESSAGE_DATA.getMessage("claim-reserve-exists");
        CLAIM_RESERVED_NAME = MessageStorage.MESSAGE_DATA.getMessage("claim-reserved-name");
        CLAIM_RESPECTING = MessageStorage.MESSAGE_DATA.getMessage("claim-respecting");
        CLAIM_RESTORE_IN_PROGRESS = MessageStorage.MESSAGE_DATA.getMessage("claim-restore-in-progress");
        CLAIM_RESTORE_SUCCESS = MessageStorage.MESSAGE_DATA.getMessage("claim-restore-success");
        CLAIM_TOO_FAR = MessageStorage.MESSAGE_DATA.getMessage("claim-too-far");
        CLAIMINFO_UI_ADMIN_SETTINGS = MessageStorage.MESSAGE_DATA.getMessage("claiminfo-ui-admin-settings");
        CLAIMINFO_UI_BANK_INFO = MessageStorage.MESSAGE_DATA.getMessage("claiminfo-ui-bank-info");
        CLAIMINFO_UI_CLAIM_EXPIRATION = MessageStorage.MESSAGE_DATA.getMessage("claiminfo-ui-claim-expiration");
        CLAIMINFO_UI_CLICK_ADMIN = MessageStorage.MESSAGE_DATA.getMessage("claiminfo-ui-click-admin");
        CLAIMINFO_UI_CLICK_BANK = MessageStorage.MESSAGE_DATA.getMessage("claiminfo-ui-click-bank");
        CLAIMINFO_UI_CLICK_FAREWELL = MessageStorage.MESSAGE_DATA.getMessage("claiminfo-ui-click-farewell");
        CLAIMINFO_UI_CLICK_GREETING = MessageStorage.MESSAGE_DATA.getMessage("claiminfo-ui-click-greeting");
        CLAIMINFO_UI_CLICK_NAME = MessageStorage.MESSAGE_DATA.getMessage("claiminfo-ui-click-name");
        CLAIMINFO_UI_CLICK_TOGGLE = MessageStorage.MESSAGE_DATA.getMessage("claiminfo-ui-click-toggle");
        CLAIMINFO_UI_DENY_MESSAGES = MessageStorage.MESSAGE_DATA.getMessage("claiminfo-ui-deny-messages");
        CLAIMINFO_UI_FLAG_OVERRIDES = MessageStorage.MESSAGE_DATA.getMessage("claiminfo-ui-flag-overrides");
        CLAIMINFO_UI_FOR_SALE = MessageStorage.MESSAGE_DATA.getMessage("claiminfo-ui-for-sale");
        CLAIMINFO_UI_INHERIT_PARENT = MessageStorage.MESSAGE_DATA.getMessage("claiminfo-ui-inherit-parent");
        CLAIMINFO_UI_LAST_ACTIVE = MessageStorage.MESSAGE_DATA.getMessage("claiminfo-ui-last-active");
        CLAIMINFO_UI_NORTH_CORNERS = MessageStorage.MESSAGE_DATA.getMessage("claiminfo-ui-north-corners");
        CLAIMINFO_UI_PVP_OVERRIDES = MessageStorage.MESSAGE_DATA.getMessage("claiminfo-ui-pvp-overrides");
        CLAIMINFO_UI_REQUIRES_CLAIM_BLOCKS = MessageStorage.MESSAGE_DATA.getMessage("claiminfo-ui-requires-claim-blocks");
        CLAIMINFO_UI_RETURN_BANKINFO = MessageStorage.MESSAGE_DATA.getMessage("claiminfo-ui-return-bankinfo");
        CLAIMINFO_UI_RETURN_CLAIMINFO = MessageStorage.MESSAGE_DATA.getMessage("claiminfo-ui-return-claiminfo");
        CLAIMINFO_UI_RETURN_RENTINFO = MessageStorage.MESSAGE_DATA.getMessage("claiminfo-ui-return-rentinfo");
        CLAIMINFO_UI_RETURN_SETTINGS = MessageStorage.MESSAGE_DATA.getMessage("claiminfo-ui-return-settings");
        CLAIMINFO_UI_SIZE_RESTRICTIONS = MessageStorage.MESSAGE_DATA.getMessage("claiminfo-ui-size-restrictions");
        CLAIMINFO_UI_SOUTH_CORNERS = MessageStorage.MESSAGE_DATA.getMessage("claiminfo-ui-south-corners");
        CLAIMINFO_UI_TELEPORT_FEATURE = MessageStorage.MESSAGE_DATA.getMessage("claiminfo-ui-teleport-feature");
        CLAIMINFO_UI_TELEPORT_SPAWN = MessageStorage.MESSAGE_DATA.getMessage("claiminfo-ui-teleport-spawn");
        CLAIMINFO_UI_TITLE_CLAIMINFO = MessageStorage.MESSAGE_DATA.getMessage("claiminfo-ui-title-claiminfo");
        CLAIMINFO_UI_TOWN_SETTINGS = MessageStorage.MESSAGE_DATA.getMessage("claiminfo-ui-town-settings");
        CLAIMLIST_UI_CLICK_INFO = MessageStorage.MESSAGE_DATA.getMessage("claimlist-ui-click-info");
        CLAIMLIST_UI_CLICK_PLAYER_LIST = MessageStorage.MESSAGE_DATA.getMessage("claimlist-ui-click-player-list");
        CLAIMLIST_UI_CLICK_PURCHASE = MessageStorage.MESSAGE_DATA.getMessage("claimlist-ui-click-purchase");
        CLAIMLIST_UI_CLICK_RENT = MessageStorage.MESSAGE_DATA.getMessage("claimlist-ui-click-rent");
        CLAIMLIST_UI_CLICK_VIEW_CHILDREN = MessageStorage.MESSAGE_DATA.getMessage("claimlist-ui-click-view-children");
        CLAIMLIST_UI_CLICK_VIEW_CLAIMS = MessageStorage.MESSAGE_DATA.getMessage("claimlist-ui-click-view-claims");
        CLAIMLIST_UI_NO_CLAIMS_FOUND = MessageStorage.MESSAGE_DATA.getMessage("claimlist-ui-no-claims-found");
        CLAIMLIST_UI_RETURN_CLAIMSLIST = MessageStorage.MESSAGE_DATA.getMessage("claimlist-ui-return-claimlist");
        CLAIMLIST_UI_TITLE = MessageStorage.MESSAGE_DATA.getMessage("claimlist-ui-title");
        CLAIMLIST_UI_TITLE_CHILD_CLAIMS = MessageStorage.MESSAGE_DATA.getMessage("claimlist-ui-title-child-claims");
        CLAIMTOOL_NOT_ENABLED = MessageStorage.MESSAGE_DATA.getMessage("claimtool-not-enabled");
        COMMAND_CLAIMBUY_TITLE = MessageStorage.MESSAGE_DATA.getMessage("command-claimbuy-title");
        COMMAND_CLAIMCLEAR_UUID_DENY = MessageStorage.MESSAGE_DATA.getMessage("command-claimclear-uuid-deny");
        COMMAND_CLAIMFLAGDEBUG_DISABLED = MessageStorage.MESSAGE_DATA.getMessage("command-claimflagdebug-disabled");
        COMMAND_CLAIMFLAGDEBUG_ENABLED = MessageStorage.MESSAGE_DATA.getMessage("command-claimflagdebug-enabled");
        COMMAND_CLAIMINFO_NOT_FOUND = MessageStorage.MESSAGE_DATA.getMessage("command-claiminfo-not-found");
        COMMAND_CLAIMINFO_UUID_REQUIRED = MessageStorage.MESSAGE_DATA.getMessage("command-claiminfo-uuid-required");
        COMMAND_CLAIMINHERIT_DISABLED = MessageStorage.MESSAGE_DATA.getMessage("command-claiminherit-disabled");
        COMMAND_CLAIMINHERIT_ENABLED = MessageStorage.MESSAGE_DATA.getMessage("command-claiminherit-enabled");
        COMMAND_CLAIMMODE_DISABLED = MessageStorage.MESSAGE_DATA.getMessage("command-claimmode-disabled");
        COMMAND_CLAIMMODE_ENABLED = MessageStorage.MESSAGE_DATA.getMessage("command-claimmode-enabled");
        COMMAND_CLAIMTOOL_DISABLED = MessageStorage.MESSAGE_DATA.getMessage("command-claimtool-disabled");
        COMMAND_CLAIMTOOL_ENABLED = MessageStorage.MESSAGE_DATA.getMessage("command-claimtool-enabled");
        COMMAND_CUBOID_DISABLED = MessageStorage.MESSAGE_DATA.getMessage("command-cuboid-disabled");
        COMMAND_CUBOID_ENABLED = MessageStorage.MESSAGE_DATA.getMessage("command-cuboid-enabled");
        COMMAND_INHERIT_ONLY_CHILD = MessageStorage.MESSAGE_DATA.getMessage("command-inherit-only-child");
        COMMAND_INVALID = MessageStorage.MESSAGE_DATA.getMessage("command-invalid");
        COMMAND_INVALID_PLAYER_GROUP = MessageStorage.MESSAGE_DATA.getMessage("command-invalid-player-group");
        COMMAND_NOT_AVAILABLE_ECONOMY = MessageStorage.MESSAGE_DATA.getMessage("command-not-available-economy");
        COMMAND_PET_CONFIRMATION = MessageStorage.MESSAGE_DATA.getMessage("command-pet-confirmation");
        COMMAND_PET_TRANSFER_READY = MessageStorage.MESSAGE_DATA.getMessage("command-pet-transfer-ready");
        COMMAND_PET_TRANSFER_CANCEL = MessageStorage.MESSAGE_DATA.getMessage("command-pet-transfer-cancel");
        COMMAND_TRAPPED_BUILD_ACCESS = MessageStorage.MESSAGE_DATA.getMessage("command-trapped-build-access");
        COMMAND_TRAPPED_CANCEL_MOVE = MessageStorage.MESSAGE_DATA.getMessage("command-trapped-cancel-move");
        COMMAND_TRAPPED_PVP_COMBAT = MessageStorage.MESSAGE_DATA.getMessage("command-trapped-pvp-combat");
        COMMAND_TRAPPED_SUCCESS = MessageStorage.MESSAGE_DATA.getMessage("command-trapped-success");
        COMMAND_UNLOCK_DROPS = MessageStorage.MESSAGE_DATA.getMessage("command-unlock-drops");
        COMMAND_UNLOCK_DROPS_NONE = MessageStorage.MESSAGE_DATA.getMessage("command-unlock-drops-none");
        COMMAND_WORLDEDIT_MISSING = MessageStorage.MESSAGE_DATA.getMessage("command-worldedit-missing");
        CONFIRM_NOT_FOUND = MessageStorage.MESSAGE_DATA.getMessage("confirm-not-found");
        CREATE_CANCEL = MessageStorage.MESSAGE_DATA.getMessage("create-cancel");
        CREATE_CUBOID_DISABLED = MessageStorage.MESSAGE_DATA.getMessage("create-cuboid-disabled");
        CREATE_OVERLAP = MessageStorage.MESSAGE_DATA.getMessage("create-overlap");
        CREATE_OVERLAP_SHORT = MessageStorage.MESSAGE_DATA.getMessage("create-overlap-short");
        CREATE_SUBDIVISION_FAIL = MessageStorage.MESSAGE_DATA.getMessage("create-subdivision-fail");
        CREATE_SUBDIVISION_ONLY = MessageStorage.MESSAGE_DATA.getMessage("create-subdivision-only");
        DEBUG_CLICK_TO_EXPAND = MessageStorage.MESSAGE_DATA.getMessage("debug-click-to-expand");
        DEBUG_NO_RECORDS = MessageStorage.MESSAGE_DATA.getMessage("debug-no-records");
        DEBUG_PASTE_SUCCESS = MessageStorage.MESSAGE_DATA.getMessage("debug-paste-success");
        DEBUG_RECORD_END = MessageStorage.MESSAGE_DATA.getMessage("debug-record-end");
        DEBUG_RECORD_START = MessageStorage.MESSAGE_DATA.getMessage("debug-record-start");
        DEBUG_TIME_ELAPSED = MessageStorage.MESSAGE_DATA.getMessage("debug-time-elapsed");
        ECONOMY_BLOCK_BUY_INVALID = MessageStorage.MESSAGE_DATA.getMessage("economy-block-buy-invalid");
        ECONOMY_BLOCK_BUY_SELL_DISABLED = MessageStorage.MESSAGE_DATA.getMessage("economy-block-buy-sell-disabled");
        ECONOMY_BLOCK_NOT_AVAILABLE = MessageStorage.MESSAGE_DATA.getMessage("economy-block-not-available");
        ECONOMY_BLOCK_ONLY_BUY = MessageStorage.MESSAGE_DATA.getMessage("economy-block-only-buy");
        ECONOMY_BLOCK_ONLY_SELL = MessageStorage.MESSAGE_DATA.getMessage("economy-block-only-sell");
        ECONOMY_BLOCK_TRANSFER_CANCEL = MessageStorage.MESSAGE_DATA.getMessage("economy-block-transfer-cancel");
        ECONOMY_BLOCK_TRANSFER_WARNING = MessageStorage.MESSAGE_DATA.getMessage("economy-block-transfer-warning");
        ECONOMY_CLAIM_NOT_FOR_SALE = MessageStorage.MESSAGE_DATA.getMessage("economy-claim-not-for-sale");
        ECONOMY_CLAIM_RENT_CANCEL_CONFIRMATION = MessageStorage.MESSAGE_DATA.getMessage("economy-claim-rent-cancel-confirmation");
        ECONOMY_CLAIM_RENT_RESTORE_CANCEL_CONFIRMATION = MessageStorage.MESSAGE_DATA.getMessage("economy-claim-rent-restore-cancel-confirmation");
        ECONOMY_CLAIM_RENT_CANCELLED = MessageStorage.MESSAGE_DATA.getMessage("economy-claim-rent-cancelled");
        ECONOMY_CLAIM_RENT_NOT_RENTING = MessageStorage.MESSAGE_DATA.getMessage("economy-claim-rent-not-renting");
        ECONOMY_CLAIM_RENT_OWNER_NOT_RENTING = MessageStorage.MESSAGE_DATA.getMessage("economy-claim-rent-owner-not-renting");
        ECONOMY_CLAIM_SALE_CANCEL_CONFIRMATION = MessageStorage.MESSAGE_DATA.getMessage("economy-claim-sale-cancel-confirmation");
        ECONOMY_CLAIM_SALE_CANCELLED = MessageStorage.MESSAGE_DATA.getMessage("economy-claim-sale-cancelled");
        ECONOMY_MODE_NOT_ENABLED = MessageStorage.MESSAGE_DATA.getMessage("economy-mode-not-enabled");
        ECONOMY_NOT_INSTALLED = MessageStorage.MESSAGE_DATA.getMessage("economy-not-installed");
        ECONOMY_SIGN_RENT_DESCRIPTION = MessageStorage.MESSAGE_DATA.getMessage("economy-sign-rent-description");
        ECONOMY_SIGN_RENT_FOOTER = MessageStorage.MESSAGE_DATA.getMessage("economy-sign-rent-footer");
        ECONOMY_SIGN_RENTED_LINE1 = MessageStorage.MESSAGE_DATA.getMessage("economy-sign-rented-line1");
        ECONOMY_SIGN_RENTED_LINE3 = MessageStorage.MESSAGE_DATA.getMessage("economy-sign-rented-line3");
        ECONOMY_SIGN_RENTED_LINE4 = MessageStorage.MESSAGE_DATA.getMessage("economy-sign-rented-line4");
        ECONOMY_SIGN_SELL_DESCRIPTION = MessageStorage.MESSAGE_DATA.getMessage("economy-sign-sell-description");
        ECONOMY_SIGN_SELL_FOOTER = MessageStorage.MESSAGE_DATA.getMessage("economy-sign-sell-footer");
        ECONOMY_SIGN_SOLD_LINE1 = MessageStorage.MESSAGE_DATA.getMessage("economy-sign-sold-line1");
        ECONOMY_SIGN_SOLD_LINE3 = MessageStorage.MESSAGE_DATA.getMessage("economy-sign-sold-line3");
        ECONOMY_SIGN_SOLD_LINE4 = MessageStorage.MESSAGE_DATA.getMessage("economy-sign-sold-line4");
        ECONOMY_VIRTUAL_NOT_SUPPORTED = MessageStorage.MESSAGE_DATA.getMessage("economy-virtual-not-supported");
        FEATURE_NOT_AVAILABLE = MessageStorage.MESSAGE_DATA.getMessage("feature-not-available");
        FLAG_DESCRIPTION_CUSTOM_ANIMAL_BLOCK_MODIFY = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-animal-block-modify");
        FLAG_DESCRIPTION_CUSTOM_ARMOR_STAND_USE = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-armorstand-use");
        FLAG_DESCRIPTION_CUSTOM_BLOCK_TRAMPLING = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-block-trampling");
        FLAG_DESCRIPTION_CUSTOM_CHEST_ACCESS = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-chest-access");
        FLAG_DESCRIPTION_CUSTOM_CHORUS_FRUIT_TELEPORT = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-chorus-fruit-teleport");
        FLAG_DESCRIPTION_CUSTOM_CREEPER_BLOCK_EXPLOSION = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-creeper-block-explosion");
        FLAG_DESCRIPTION_CUSTOM_CREEPER_ENTITY_EXPLOSION = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-creeper-entity-explosion");
        FLAG_DESCRIPTION_CUSTOM_CROP_GROWTH = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-crop-growth");
        FLAG_DESCRIPTION_CUSTOM_DAMAGE_ANIMALS = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-damage-animals");
        FLAG_DESCRIPTION_CUSTOM_END_CRYSTAL_USE = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-endcrystal-use");
        FLAG_DESCRIPTION_CUSTOM_ENDERMAN_GRIEF = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-enderman-grief");
        FLAG_DESCRIPTION_CUSTOM_ENTITY_ARMORSTAND_DAMAGE = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-entity-armorstand-damage");
        FLAG_DESCRIPTION_CUSTOM_ENTITY_ITEMFRAME_DAMAGE = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-entity-itemframe-damage");
        FLAG_DESCRIPTION_CUSTOM_EXP_DROP = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-exp-drop");
        FLAG_DESCRIPTION_CUSTOM_FALL_ENTITY_DAMAGE = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-fall-entity-damage");
        FLAG_DESCRIPTION_CUSTOM_FALL_PLAYER_DAMAGE = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-fall-player-damage");
        FLAG_DESCRIPTION_CUSTOM_FALLING_BLOCK_BREAK = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-falling-block-break");
        FLAG_DESCRIPTION_CUSTOM_FIRE_BLOCK_DAMAGE = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-fire-block-damage");
        FLAG_DESCRIPTION_CUSTOM_FIRE_ENTITY_DAMAGE = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-fire-entity-damage");
        FLAG_DESCRIPTION_CUSTOM_FIRE_SPREAD = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-fire-spread");
        FLAG_DESCRIPTION_CUSTOM_GRASS_GROWTH = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-grass-growth");
        FLAG_DESCRIPTION_CUSTOM_ICE_FORM = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-ice-form");
        FLAG_DESCRIPTION_CUSTOM_ICE_MELT = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-ice-melt");
        FLAG_DESCRIPTION_CUSTOM_LAVA_FLOW = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-lava-flow");
        FLAG_DESCRIPTION_CUSTOM_LEAF_DECAY = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-leaf-decay");
        FLAG_DESCRIPTION_CUSTOM_LIGHTER = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-lighter");
        FLAG_DESCRIPTION_CUSTOM_LIGHTNING = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-lightning-damage");
        FLAG_DESCRIPTION_CUSTOM_MONSTER_ANIMAL_DAMAGE = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-monster-animal-damage");
        FLAG_DESCRIPTION_CUSTOM_MONSTER_PLAYER_DAMAGE = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-monster-player-damage");
        FLAG_DESCRIPTION_CUSTOM_MONSTER_SPAWN = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-monster-spawn");
        FLAG_DESCRIPTION_CUSTOM_MUSHROOM_GROWTH = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-mushroom-growth");
        FLAG_DESCRIPTION_CUSTOM_MYCELIUM_SPREAD = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-mycelium-spread");
        FLAG_DESCRIPTION_CUSTOM_PISTON_ITEM_SPAWN = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-piston-item-spawn");
        FLAG_DESCRIPTION_CUSTOM_PISTON_USE = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-piston-use");
        FLAG_DESCRIPTION_CUSTOM_PLAYER_BLOCK_BREAK = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-player-block-break");
        FLAG_DESCRIPTION_CUSTOM_PLAYER_BLOCK_PLACE = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-player-block-place");
        FLAG_DESCRIPTION_CUSTOM_PLAYER_BLOCK_INTERACT = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-player-block-interact");
        FLAG_DESCRIPTION_CUSTOM_PLAYER_DAMAGE = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-player-damage");
        FLAG_DESCRIPTION_CUSTOM_PLAYER_ENDERPEARL_INTERACT = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-player-enderpearl-interact");
        FLAG_DESCRIPTION_CUSTOM_PLAYER_ENDPORTAL_USE = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-player-endportal-use");
        FLAG_DESCRIPTION_CUSTOM_PLAYER_ENTER = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-player-enter");
        FLAG_DESCRIPTION_CUSTOM_PLAYER_ENTITY_INTERACT = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-player-entity-interact");
        FLAG_DESCRIPTION_CUSTOM_PLAYER_EXIT = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-player-exit");
        FLAG_DESCRIPTION_CUSTOM_PLAYER_INVENTORY_INTERACT = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-player-inventory-interact");
        FLAG_DESCRIPTION_CUSTOM_PLAYER_ITEMFRAME_INTERACT = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-player-itemframe-interact");
        FLAG_DESCRIPTION_CUSTOM_PLAYER_ITEMHANGING_PLACE = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-player-itemhanging-place");
        FLAG_DESCRIPTION_CUSTOM_PLAYER_ITEM_DROP = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-player-item-drop");
        FLAG_DESCRIPTION_CUSTOM_PLAYER_ITEM_PICKUP = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-player-item-pickup");
        FLAG_DESCRIPTION_CUSTOM_PLAYER_NETHERPORTAL_USE = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-player-netherportal-use");
        FLAG_DESCRIPTION_CUSTOM_PLAYER_TELEPORT_FROM = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-player-teleport-from");
        FLAG_DESCRIPTION_CUSTOM_PLAYER_TELEPORT_TO = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-player-teleport-to");
        FLAG_DESCRIPTION_CUSTOM_PLAYER_VILLAGER_DAMAGE = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-player-villager-damage");
        FLAG_DESCRIPTION_CUSTOM_PVP = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-pvp");
        FLAG_DESCRIPTION_CUSTOM_RAVAGER_BLOCK_BREAK = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-ravager-block-break");
        FLAG_DESCRIPTION_CUSTOM_RIDE = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-ride");
        FLAG_DESCRIPTION_CUSTOM_SILVERFISH_BLOCK_INFEST = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-silverfish-block-infest");
        FLAG_DESCRIPTION_CUSTOM_SLEEP = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-sleep");
        FLAG_DESCRIPTION_CUSTOM_SNOW_FALL = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-snow-fall");
        FLAG_DESCRIPTION_CUSTOM_SNOW_MELT = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-snow-melt");
        FLAG_DESCRIPTION_CUSTOM_SNOWMAN_TRAIL = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-snowman-trail");
        FLAG_DESCRIPTION_CUSTOM_SOIL_DRY = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-soil-dry");
        FLAG_DESCRIPTION_CUSTOM_SPAWN_AMBIENT = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-spawn-ambient");
        FLAG_DESCRIPTION_CUSTOM_SPAWN_ANIMAL = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-spawn-animal");
        FLAG_DESCRIPTION_CUSTOM_SPAWN_AQUATIC = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-spawn-aquatic");
        FLAG_DESCRIPTION_CUSTOM_TNT_BLOCK_EXPLOSION = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-tnt-block-explosion");
        FLAG_DESCRIPTION_CUSTOM_TNT_ENTITY_EXPLOSION = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-tnt-entity-explosion");
        FLAG_DESCRIPTION_CUSTOM_TURTLE_EGG_HATCH = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-turtle-egg-hatch");
        FLAG_DESCRIPTION_CUSTOM_USE = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-use");
        FLAG_DESCRIPTION_CUSTOM_VEHICLE_USE = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-vehicle-use");
        FLAG_DESCRIPTION_CUSTOM_VILLAGER_FARM = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-villager-farm");
        FLAG_DESCRIPTION_CUSTOM_VILLAGER_TRADE = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-villager-trade");
        FLAG_DESCRIPTION_CUSTOM_VINE_GROWTH = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-vine-growth");
        FLAG_DESCRIPTION_CUSTOM_WATER_FLOW = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-water-flow");
        FLAG_DESCRIPTION_CUSTOM_WITHER_BLOCK_BREAK = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-wither-block-break");
        FLAG_DESCRIPTION_CUSTOM_WITHER_ENTITY_DAMAGE = MessageStorage.MESSAGE_DATA.getMessage("flag-description-custom-wither-entity-damage");
        FLAG_DESCRIPTION_BLOCK_BREAK = MessageStorage.MESSAGE_DATA.getMessage("flag-description-block-break");
        FLAG_DESCRIPTION_BLOCK_GROW = MessageStorage.MESSAGE_DATA.getMessage("flag-description-block-grow");
        FLAG_DESCRIPTION_BLOCK_MODIFY = MessageStorage.MESSAGE_DATA.getMessage("flag-description-block-modify");
        FLAG_DESCRIPTION_BLOCK_PLACE = MessageStorage.MESSAGE_DATA.getMessage("flag-description-block-place");
        FLAG_DESCRIPTION_BLOCK_SPREAD = MessageStorage.MESSAGE_DATA.getMessage("flag-description-block-spread");
        FLAG_DESCRIPTION_COLLIDE_BLOCK = MessageStorage.MESSAGE_DATA.getMessage("flag-description-collide-block");
        FLAG_DESCRIPTION_COLLIDE_ENTITY = MessageStorage.MESSAGE_DATA.getMessage("flag-description-collide-entity");
        FLAG_DESCRIPTION_COMMAND_EXECUTE = MessageStorage.MESSAGE_DATA.getMessage("flag-description-command-execute");
        FLAG_DESCRIPTION_COMMAND_EXECUTE_PVP = MessageStorage.MESSAGE_DATA.getMessage("flag-description-command-execute-pvp");
        FLAG_DESCRIPTION_ENTER_CLAIM = MessageStorage.MESSAGE_DATA.getMessage("flag-description-enter-claim");
        FLAG_DESCRIPTION_ENTITY_CHUNK_SPAWN = MessageStorage.MESSAGE_DATA.getMessage("flag-description-entity-chunk-spawn");
        FLAG_DESCRIPTION_ENTITY_DAMAGE = MessageStorage.MESSAGE_DATA.getMessage("flag-description-entity-damage");
        FLAG_DESCRIPTION_ENTITY_RIDING = MessageStorage.MESSAGE_DATA.getMessage("flag-description-entity-riding");
        FLAG_DESCRIPTION_ENTITY_SPAWN = MessageStorage.MESSAGE_DATA.getMessage("flag-description-entity-spawn");
        FLAG_DESCRIPTION_ENTITY_TELEPORT_FROM = MessageStorage.MESSAGE_DATA.getMessage("flag-description-entity-teleport-from");
        FLAG_DESCRIPTION_ENTITY_TELEPORT_TO = MessageStorage.MESSAGE_DATA.getMessage("flag-description-entity-teleport-to");
        FLAG_DESCRIPTION_EXIT_CLAIM = MessageStorage.MESSAGE_DATA.getMessage("flag-description-exit-claim");
        FLAG_DESCRIPTION_EXPLOSION_BLOCK = MessageStorage.MESSAGE_DATA.getMessage("flag-description-explosion-block");
        FLAG_DESCRIPTION_EXPLOSION_ENTITY = MessageStorage.MESSAGE_DATA.getMessage("flag-description-explosion-entity");
        FLAG_DESCRIPTION_INTERACT_BLOCK_PRIMARY = MessageStorage.MESSAGE_DATA.getMessage("flag-description-block-primary");
        FLAG_DESCRIPTION_INTERACT_BLOCK_SECONDARY = MessageStorage.MESSAGE_DATA.getMessage("flag-description-block-secondary");
        FLAG_DESCRIPTION_INTERACT_ENTITY_PRIMARY = MessageStorage.MESSAGE_DATA.getMessage("flag-description-entity-primary");
        FLAG_DESCRIPTION_INTERACT_ENTITY_SECONDARY = MessageStorage.MESSAGE_DATA.getMessage("flag-description-entity-secondary");
        FLAG_DESCRIPTION_INTERACT_ITEM_PRIMARY = MessageStorage.MESSAGE_DATA.getMessage("flag-description-interact-item-primary");
        FLAG_DESCRIPTION_INTERACT_ITEM_SECONDARY = MessageStorage.MESSAGE_DATA.getMessage("flag-description-interact-item-secondary");
        FLAG_DESCRIPTION_INTERACT_INVENTORY = MessageStorage.MESSAGE_DATA.getMessage("flag-description-interact-inventory");
        FLAG_DESCRIPTION_INTERACT_INVENTORY_CLICK = MessageStorage.MESSAGE_DATA.getMessage("flag-description-interact-inventory-click");
        FLAG_DESCRIPTION_ITEM_DROP = MessageStorage.MESSAGE_DATA.getMessage("flag-description-item-drop");
        FLAG_DESCRIPTION_ITEM_PICKUP = MessageStorage.MESSAGE_DATA.getMessage("flag-description-item-pickup");
        FLAG_DESCRIPTION_ITEM_SPAWN = MessageStorage.MESSAGE_DATA.getMessage("flag-description-item-spawn");
        FLAG_DESCRIPTION_ITEM_USE = MessageStorage.MESSAGE_DATA.getMessage("flag-description-item-use");
        FLAG_DESCRIPTION_LEAF_DECAY = MessageStorage.MESSAGE_DATA.getMessage("flag-description-leaf-decay");
        FLAG_DESCRIPTION_LIQUID_FLOW = MessageStorage.MESSAGE_DATA.getMessage("flag-description-liquid-flow");
        FLAG_DESCRIPTION_PORTAL_USE = MessageStorage.MESSAGE_DATA.getMessage("flag-description-portal-use");
        FLAG_DESCRIPTION_PROJECTILE_IMPACT_BLOCK = MessageStorage.MESSAGE_DATA.getMessage("flag-description-projectile-impact-block");
        FLAG_DESCRIPTION_PROJECTILE_IMPACT_ENTITY = MessageStorage.MESSAGE_DATA.getMessage("flag-description-projectile-impact-entity");
        FLAG_RESET_SUCCESS = MessageStorage.MESSAGE_DATA.getMessage("flag-reset-success");
        FLAG_RESET_WARNING = MessageStorage.MESSAGE_DATA.getMessage("flag-reset-warning");
        FLAG_UI_CLICK_ALLOW = MessageStorage.MESSAGE_DATA.getMessage("flag-ui-click-allow");
        FLAG_UI_CLICK_DENY = MessageStorage.MESSAGE_DATA.getMessage("flag-ui-click-deny");
        FLAG_UI_CLICK_REMOVE = MessageStorage.MESSAGE_DATA.getMessage("flag-ui-click-remove");
        FLAG_UI_EVENT_CANCEL = MessageStorage.MESSAGE_DATA.getMessage("flag-ui-event-cancel");
        FLAG_UI_HOVER_ACTIVE_RESULT = MessageStorage.MESSAGE_DATA.getMessage("flag-ui-hover-active-result");
        FLAG_UI_HOVER_DEFAULT_VALUE = MessageStorage.MESSAGE_DATA.getMessage("flag-ui-hover-default-value");
        FLAG_UI_HOVER_DEFINITION_CONTEXTS = MessageStorage.MESSAGE_DATA.getMessage("flag-ui-hover-definition-contexts");
        FLAG_UI_HOVER_PARTIAL = MessageStorage.MESSAGE_DATA.getMessage("flag-ui-hover-partial");
        FLAG_UI_INFO_CLAIM = MessageStorage.MESSAGE_DATA.getMessage("flag-ui-info-claim");
        FLAG_UI_INFO_DEFAULT = MessageStorage.MESSAGE_DATA.getMessage("flag-ui-info-default");
        FLAG_UI_INFO_INHERIT = MessageStorage.MESSAGE_DATA.getMessage("flag-ui-info-inherit");
        FLAG_UI_INFO_OVERRIDE = MessageStorage.MESSAGE_DATA.getMessage("flag-ui-info-override");
        FLAG_UI_OVERRIDE_NO_PERMISSION = MessageStorage.MESSAGE_DATA.getMessage("flag-ui-override-no-permission");
        FLAG_UI_RETURN_FLAGS = MessageStorage.MESSAGE_DATA.getMessage("flag-ui-return-flags");
        LABEL_ACCESSORS = MessageStorage.MESSAGE_DATA.getMessage("label-accessors");
        LABEL_ALL = MessageStorage.MESSAGE_DATA.getMessage("label-all");
        LABEL_AREA = MessageStorage.MESSAGE_DATA.getMessage("label-area");
        LABEL_AVAILABLE = MessageStorage.MESSAGE_DATA.getMessage("label-available");
        LABEL_BALANCE = MessageStorage.MESSAGE_DATA.getMessage("label-balance");
        LABEL_BLOCKS = MessageStorage.MESSAGE_DATA.getMessage("label-blocks");
        LABEL_BUILDERS = MessageStorage.MESSAGE_DATA.getMessage("label-builders");
        LABEL_BUY = MessageStorage.MESSAGE_DATA.getMessage("label-buy");
        LABEL_CANCEL = MessageStorage.MESSAGE_DATA.getMessage("label-cancel");
        LABEL_CHILDREN = MessageStorage.MESSAGE_DATA.getMessage("label-children");
        LABEL_CLAIM = MessageStorage.MESSAGE_DATA.getMessage("label-claim");
        LABEL_CONFIRM = MessageStorage.MESSAGE_DATA.getMessage("label-confirm");
        LABEL_CONTAINERS = MessageStorage.MESSAGE_DATA.getMessage("label-containers");
        LABEL_CONTEXT = MessageStorage.MESSAGE_DATA.getMessage("label-context");
        LABEL_CREATED = MessageStorage.MESSAGE_DATA.getMessage("label-created");
        LABEL_DAY = MessageStorage.MESSAGE_DATA.getMessage("label-day");
        LABEL_DAYS = MessageStorage.MESSAGE_DATA.getMessage("label-days");
        LABEL_DEFAULT = MessageStorage.MESSAGE_DATA.getMessage("label-default");
        LABEL_DISPLAYING = MessageStorage.MESSAGE_DATA.getMessage("label-displaying");
        LABEL_EXPIRED = MessageStorage.MESSAGE_DATA.getMessage("label-expired");
        LABEL_FAREWELL = MessageStorage.MESSAGE_DATA.getMessage("label-farewell");
        LABEL_FILTER = MessageStorage.MESSAGE_DATA.getMessage("label-filter");
        LABEL_FLAG = MessageStorage.MESSAGE_DATA.getMessage("label-flag");
        LABEL_GREETING = MessageStorage.MESSAGE_DATA.getMessage("label-greeting");
        LABEL_GROUP = MessageStorage.MESSAGE_DATA.getMessage("label-group");
        LABEL_HOUR = MessageStorage.MESSAGE_DATA.getMessage("label-hour");
        LABEL_HOURS = MessageStorage.MESSAGE_DATA.getMessage("label-hours");
        LABEL_INFO = MessageStorage.MESSAGE_DATA.getMessage("label-info");
        LABEL_INHERIT = MessageStorage.MESSAGE_DATA.getMessage("label-inherit");
        LABEL_LOCATION = MessageStorage.MESSAGE_DATA.getMessage("label-location");
        LABEL_MANAGERS = MessageStorage.MESSAGE_DATA.getMessage("label-managers");
        LABEL_MINUTE = MessageStorage.MESSAGE_DATA.getMessage("label-minute");
        LABEL_MINUTES = MessageStorage.MESSAGE_DATA.getMessage("label-minutes");
        LABEL_NAME = MessageStorage.MESSAGE_DATA.getMessage("label-name");
        LABEL_NO = MessageStorage.MESSAGE_DATA.getMessage("label-no");
        LABEL_NONE = MessageStorage.MESSAGE_DATA.getMessage("label-none");
        LABEL_OUTPUT = MessageStorage.MESSAGE_DATA.getMessage("label-output");
        LABEL_OWED = MessageStorage.MESSAGE_DATA.getMessage("label-owed");
        LABEL_OWNER = MessageStorage.MESSAGE_DATA.getMessage("label-owner");
        LABEL_PAYMENT = MessageStorage.MESSAGE_DATA.getMessage("label-payment");
        LABEL_PERMISSION = MessageStorage.MESSAGE_DATA.getMessage("label-permission");
        LABEL_PLAYER = MessageStorage.MESSAGE_DATA.getMessage("label-player");
        LABEL_PRICE = MessageStorage.MESSAGE_DATA.getMessage("label-price");
        LABEL_PRESET = MessageStorage.MESSAGE_DATA.getMessage("label-preset");
        LABEL_RAID = MessageStorage.MESSAGE_DATA.getMessage("label-raid");
        LABEL_RATE = MessageStorage.MESSAGE_DATA.getMessage("label-rate");
        LABEL_RENT = MessageStorage.MESSAGE_DATA.getMessage("label-rent");
        LABEL_RENTER = MessageStorage.MESSAGE_DATA.getMessage("label-renter");
        LABEL_RESIZABLE = MessageStorage.MESSAGE_DATA.getMessage("label-resizable");
        LABEL_RESULT = MessageStorage.MESSAGE_DATA.getMessage("label-result");
        LABEL_SCHEMATIC = MessageStorage.MESSAGE_DATA.getMessage("label-schematic");
        LABEL_SOURCE = MessageStorage.MESSAGE_DATA.getMessage("label-source");
        LABEL_SPAWN = MessageStorage.MESSAGE_DATA.getMessage("label-spawn");
        LABEL_STATUS = MessageStorage.MESSAGE_DATA.getMessage("label-status");
        LABEL_TARGET = MessageStorage.MESSAGE_DATA.getMessage("label-target");
        LABEL_TRUST = MessageStorage.MESSAGE_DATA.getMessage("label-trust");
        LABEL_TYPE = MessageStorage.MESSAGE_DATA.getMessage("label-type");
        LABEL_UNKNOWN = MessageStorage.MESSAGE_DATA.getMessage("label-unknown");
        LABEL_USER = MessageStorage.MESSAGE_DATA.getMessage("label-user");
        LABEL_WORLD = MessageStorage.MESSAGE_DATA.getMessage("label-world");
        LABEL_YES = MessageStorage.MESSAGE_DATA.getMessage("label-yes");
        MODE_ADMIN = MessageStorage.MESSAGE_DATA.getMessage("mode-admin");
        MODE_BASIC = MessageStorage.MESSAGE_DATA.getMessage("mode-basic");
        MODE_NATURE = MessageStorage.MESSAGE_DATA.getMessage("mode-nature");
        MODE_SUBDIVISION = MessageStorage.MESSAGE_DATA.getMessage("mode-subdivision");
        MODE_TOWN = MessageStorage.MESSAGE_DATA.getMessage("mode-town");
        OPTION_APPLY_PLAYER_DENY_FLIGHT = MessageStorage.MESSAGE_DATA.getMessage("option-apply-player-deny-flight");
        OPTION_APPLY_PLAYER_DENY_GODMODE = MessageStorage.MESSAGE_DATA.getMessage("option-apply-player-deny-godmode");
        OPTION_DESCRIPTION_ABANDON_DELAY = MessageStorage.MESSAGE_DATA.getMessage("option-description-abandon-delay");
        OPTION_DESCRIPTION_ABANDON_RETURN_RATIO = MessageStorage.MESSAGE_DATA.getMessage("option-description-abandon-return-ratio");
        OPTION_DESCRIPTION_BLOCKS_ACCRUED_PER_HOUR = MessageStorage.MESSAGE_DATA.getMessage("option-description-blocks-accrued-per-hour");
        OPTION_DESCRIPTION_CHEST_EXPIRATION = MessageStorage.MESSAGE_DATA.getMessage("option-description-chest-expiration");
        OPTION_DESCRIPTION_CREATE_LIMIT = MessageStorage.MESSAGE_DATA.getMessage("option-description-create-limit");
        OPTION_DESCRIPTION_CREATE_MODE = MessageStorage.MESSAGE_DATA.getMessage("option-description-create-mode");
        OPTION_DESCRIPTION_ECONOMY_BLOCK_COST = MessageStorage.MESSAGE_DATA.getMessage("option-description-economy-block-cost");
        OPTION_DESCRIPTION_ECONOMY_BLOCK_SELL_RETURN = MessageStorage.MESSAGE_DATA.getMessage("option-description-economy-block-sell-return");
        OPTION_DESCRIPTION_EXPIRATION = MessageStorage.MESSAGE_DATA.getMessage("option-description-expiration");
        OPTION_DESCRIPTION_INITIAL_BLOCKS = MessageStorage.MESSAGE_DATA.getMessage("option-description-initial-blocks");
        OPTION_DESCRIPTION_MAX_ACCRUED_BLOCKS = MessageStorage.MESSAGE_DATA.getMessage("option-description-max-accrued-blocks");
        OPTION_DESCRIPTION_MAX_LEVEL = MessageStorage.MESSAGE_DATA.getMessage("option-description-max-level");
        OPTION_DESCRIPTION_MAX_SIZE_X = MessageStorage.MESSAGE_DATA.getMessage("option-description-max-size-x");
        OPTION_DESCRIPTION_MAX_SIZE_Y = MessageStorage.MESSAGE_DATA.getMessage("option-description-max-size-y");
        OPTION_DESCRIPTION_MAX_SIZE_Z = MessageStorage.MESSAGE_DATA.getMessage("option-description-max-size-z");
        OPTION_DESCRIPTION_MIN_LEVEL = MessageStorage.MESSAGE_DATA.getMessage("option-description-min-level");
        OPTION_DESCRIPTION_MIN_SIZE_X = MessageStorage.MESSAGE_DATA.getMessage("option-description-min-size-x");
        OPTION_DESCRIPTION_MIN_SIZE_Y = MessageStorage.MESSAGE_DATA.getMessage("option-description-min-size-y");
        OPTION_DESCRIPTION_MIN_SIZE_Z = MessageStorage.MESSAGE_DATA.getMessage("option-description-min-size-z");
        OPTION_DESCRIPTION_PLAYER_COMMAND_ENTER = MessageStorage.MESSAGE_DATA.getMessage("option-description-player-command-enter");
        OPTION_DESCRIPTION_PLAYER_COMMAND_EXIT = MessageStorage.MESSAGE_DATA.getMessage("option-description-player-command-exit");
        OPTION_DESCRIPTION_PLAYER_DENY_FLIGHT = MessageStorage.MESSAGE_DATA.getMessage("option-description-player-deny-flight");
        OPTION_DESCRIPTION_PLAYER_DENY_GODMODE = MessageStorage.MESSAGE_DATA.getMessage("option-description-player-deny-godmode");
        OPTION_DESCRIPTION_PLAYER_DENY_HUNGER = MessageStorage.MESSAGE_DATA.getMessage("option-description-player-deny-hunger");
        OPTION_DESCRIPTION_PLAYER_GAMEMODE = MessageStorage.MESSAGE_DATA.getMessage("option-description-player-gamemode");
        OPTION_DESCRIPTION_PLAYER_HEALTH_REGEN = MessageStorage.MESSAGE_DATA.getMessage("option-description-player-health-regen");
        OPTION_DESCRIPTION_PLAYER_KEEP_INVENTORY = MessageStorage.MESSAGE_DATA.getMessage("option-description-player-keep-inventory");
        OPTION_DESCRIPTION_PLAYER_KEEP_LEVEL = MessageStorage.MESSAGE_DATA.getMessage("option-description-player-keep-level");
        OPTION_DESCRIPTION_PLAYER_WALK_SPEED = MessageStorage.MESSAGE_DATA.getMessage("option-description-player-walk-speed");
        OPTION_DESCRIPTION_PLAYER_WEATHER = MessageStorage.MESSAGE_DATA.getMessage("option-description-player-weather");
        OPTION_DESCRIPTION_RADIUS_INSPECT = MessageStorage.MESSAGE_DATA.getMessage("option-description-radius-inspect");
        OPTION_DESCRIPTION_TAX_EXPIRATION = MessageStorage.MESSAGE_DATA.getMessage("option-description-tax-expiration");
        OPTION_DESCRIPTION_TAX_EXPIRATION_DAYS_KEEP = MessageStorage.MESSAGE_DATA.getMessage("option-description-tax-expiration-days-keep");
        OPTION_DESCRIPTION_TAX_RATE = MessageStorage.MESSAGE_DATA.getMessage("option-description-tax-rate");
        OPTION_UI_CLICK_REMOVE = MessageStorage.MESSAGE_DATA.getMessage("option-ui-click-remove");
        OPTION_UI_NOT_DEFINED = MessageStorage.MESSAGE_DATA.getMessage("option-ui-not-defined");
        OWNER_ADMIN = MessageStorage.MESSAGE_DATA.getMessage("owner-admin");
        PERMISSION_ASSIGN_WITHOUT_HAVING = MessageStorage.MESSAGE_DATA.getMessage("permission-assign-without-having");
        PERMISSION_CLAIM_CREATE = MessageStorage.MESSAGE_DATA.getMessage("permission-claim-create");
        PERMISSION_CLAIM_ENTER = MessageStorage.MESSAGE_DATA.getMessage("permission-claim-enter");
        PERMISSION_CLAIM_EXIT = MessageStorage.MESSAGE_DATA.getMessage("permission-claim-exit");
        PERMISSION_CLAIM_LIST = MessageStorage.MESSAGE_DATA.getMessage("permission-claim-list");
        PERMISSION_CLAIM_RESET_FLAGS_SELF = MessageStorage.MESSAGE_DATA.getMessage("permission-claim-reset-flags-self");
        PERMISSION_CLAIM_RESIZE = MessageStorage.MESSAGE_DATA.getMessage("permission-claim-resize");
        PERMISSION_CLAIM_SALE = MessageStorage.MESSAGE_DATA.getMessage("permission-claim-sale");
        PERMISSION_CLAIM_TRANSFER_ADMIN = MessageStorage.MESSAGE_DATA.getMessage("permission-claim-transfer-admin");
        PERMISSION_CLEAR = MessageStorage.MESSAGE_DATA.getMessage("permission-clear");
        PERMISSION_CLEAR_ALL = MessageStorage.MESSAGE_DATA.getMessage("permission-clear-all");
        PERMISSION_COMMAND_TRUST = MessageStorage.MESSAGE_DATA.getMessage("permission-command-trust");
        PERMISSION_CUBOID = MessageStorage.MESSAGE_DATA.getMessage("permission-cuboid");
        PERMISSION_EDIT_CLAIM = MessageStorage.MESSAGE_DATA.getMessage("permission-edit-claim");
        PERMISSION_FALSE = MessageStorage.MESSAGE_DATA.getMessage("permission-false");
        PERMISSION_FIRE_SPREAD = MessageStorage.MESSAGE_DATA.getMessage("permission-fire-spread");
        PERMISSION_FLAG_DEFAULTS = MessageStorage.MESSAGE_DATA.getMessage("permission-flag-defaults");
        PERMISSION_FLAG_OVERRIDES = MessageStorage.MESSAGE_DATA.getMessage("permission-flag-overrides");
        PERMISSION_FLAG_ARG = MessageStorage.MESSAGE_DATA.getMessage("permission-flag-arg");
        PERMISSION_FLAG_GUI = MessageStorage.MESSAGE_DATA.getMessage("permission-flag-gui");
        PERMISSION_FLAG_USE = MessageStorage.MESSAGE_DATA.getMessage("permission-flag-use");
        PERMISSION_FLOW_LIQUID = MessageStorage.MESSAGE_DATA.getMessage("permission-flow-liquid");
        PERMISSION_GLOBAL_OPTION = MessageStorage.MESSAGE_DATA.getMessage("permission-global-option");
        PERMISSION_GRANT = MessageStorage.MESSAGE_DATA.getMessage("permission-grant");
        PERMISSION_GROUP_OPTION = MessageStorage.MESSAGE_DATA.getMessage("permission-group-option");
        PERMISSION_OPTION_DEFAULTS = MessageStorage.MESSAGE_DATA.getMessage("permission-option-defaults");
        PERMISSION_OPTION_OVERRIDES = MessageStorage.MESSAGE_DATA.getMessage("permission-option-overrides");
        PERMISSION_OPTION_USE = MessageStorage.MESSAGE_DATA.getMessage("permission-option-use");
        PERMISSION_OVERRIDE_DENY = MessageStorage.MESSAGE_DATA.getMessage("permission-override-deny");
        PERMISSION_PLAYER_ADMIN_FLAGS = MessageStorage.MESSAGE_DATA.getMessage("permission-player-admin-flags");
        PERMISSION_PLAYER_OPTION = MessageStorage.MESSAGE_DATA.getMessage("permission-player-option");
        PERMISSION_PLAYER_VIEW_OTHERS = MessageStorage.MESSAGE_DATA.getMessage("permission-player-view-others");
        PERMISSION_TAX = MessageStorage.MESSAGE_DATA.getMessage("permission-tax");
        PERMISSION_TRUE = MessageStorage.MESSAGE_DATA.getMessage("permission-true");
        PERMISSION_UNDEFINED = MessageStorage.MESSAGE_DATA.getMessage("permission-undefined");
        PERMISSION_VISUAL_CLAIMS_NEARBY = MessageStorage.MESSAGE_DATA.getMessage("permission-visual-claims-nearby");
        PLAYER_ITEM_DROPS_LOCK = MessageStorage.MESSAGE_DATA.getMessage("player-item-drops-lock");
        PLUGIN_EVENT_CANCEL = MessageStorage.MESSAGE_DATA.getMessage("plugin-event-cancel");
        PLUGIN_RELOAD = MessageStorage.MESSAGE_DATA.getMessage("plugin-reload");
        PVP_CLAIM_NOT_ALLOWED = MessageStorage.MESSAGE_DATA.getMessage("pvp-claim-not-allowed");
        PVP_SOURCE_CREATIVE_NOT_ALLOWED = MessageStorage.MESSAGE_DATA.getMessage("pvp-source-creative-not-allowed");
        PVP_SOURCE_FLY_NOT_ALLOWED = MessageStorage.MESSAGE_DATA.getMessage("pvp-source-fly-not-allowed");
        PVP_SOURCE_NOT_ALLOWED = MessageStorage.MESSAGE_DATA.getMessage("pvp-source-not-allowed");
        PVP_TARGET_NOT_ALLOWED = MessageStorage.MESSAGE_DATA.getMessage("pvp-target-not-allowed");
        RENT_SYSTEM_DISABLED = MessageStorage.MESSAGE_DATA.getMessage("rent-system-disabled");
        RENT_UI_CLICK_CANCEL = MessageStorage.MESSAGE_DATA.getMessage("rent-ui-click-cancel");
        RENT_UI_CLICK_RENT = MessageStorage.MESSAGE_DATA.getMessage("rent-ui-click-rent");
        RENT_UI_END_DATE = MessageStorage.MESSAGE_DATA.getMessage("rent-ui-end-date");
        RENT_UI_HOVER_END_DATE = MessageStorage.MESSAGE_DATA.getMessage("rent-ui-hover-end-date");
        RENT_UI_INFO_HEADER = MessageStorage.MESSAGE_DATA.getMessage("rent-ui-info-header");
        RENT_UI_MINIMUM = MessageStorage.MESSAGE_DATA.getMessage("rent-ui-minimum");
        RENT_UI_NEXT_PAYMENT_DUE_DATE = MessageStorage.MESSAGE_DATA.getMessage("rent-ui-next-payment-due-date");
        RENT_UI_NO_TRANSACTIONS = MessageStorage.MESSAGE_DATA.getMessage("rent-ui-no-transactions");
        RENT_UI_RETURN_INFO = MessageStorage.MESSAGE_DATA.getMessage("rent-ui-return-info");
        RENT_UI_START_DATE = MessageStorage.MESSAGE_DATA.getMessage("rent-ui-start-date");
        RENT_UI_VIEW_TRANSACTIONS = MessageStorage.MESSAGE_DATA.getMessage("rent-ui-view-transactions");
        RENT_UI_TITLE_TRANSACTIONS = MessageStorage.MESSAGE_DATA.getMessage("rent-ui-title-transactions");
        RESIZE_OVERLAP = MessageStorage.MESSAGE_DATA.getMessage("resize-overlap");
        RESIZE_OVERLAP_SUBDIVISION = MessageStorage.MESSAGE_DATA.getMessage("resize-overlap-subdivision");
        RESIZE_SAME_LOCATION = MessageStorage.MESSAGE_DATA.getMessage("resize-same-location");
        RESIZE_START = MessageStorage.MESSAGE_DATA.getMessage("resize-start");
        RESULT_TYPE_FAIL = MessageStorage.MESSAGE_DATA.getMessage("result-type-fail");
        RESULT_TYPE_SUCCESS = MessageStorage.MESSAGE_DATA.getMessage("result-type-success");
        SCHEMATIC_ABANDON_ALL_RESTORE_WARNING = MessageStorage.MESSAGE_DATA.getMessage("schematic-abandon-all-restore-warning");
        SCHEMATIC_ABANDON_RESTORE_WARNING = MessageStorage.MESSAGE_DATA.getMessage("schematic-abandon-restore-warning");
        SCHEMATIC_CREATE = MessageStorage.MESSAGE_DATA.getMessage("schematic-create");
        SCHEMATIC_CREATE_COMPLETE = MessageStorage.MESSAGE_DATA.getMessage("schematic-create-complete");
        SCHEMATIC_CREATE_FAIL = MessageStorage.MESSAGE_DATA.getMessage("schematic-create-fail");
        SCHEMATIC_NONE = MessageStorage.MESSAGE_DATA.getMessage("schematic-none");
        SPAWN_NOT_SET = MessageStorage.MESSAGE_DATA.getMessage("spawn-not-set");
        TAX_NO_BALANCE = MessageStorage.MESSAGE_DATA.getMessage("tax-no-balance");
        TAX_SYSTEM_DISABLED = MessageStorage.MESSAGE_DATA.getMessage("tax-system-disabled");
        TELEPORT_MOVE_CANCEL = MessageStorage.MESSAGE_DATA.getMessage("teleport-move-cancel");
        TELEPORT_NO_SAFE_LOCATION = MessageStorage.MESSAGE_DATA.getMessage("teleport-no-safe-location");
        TITLE_ACCESSOR = MessageStorage.MESSAGE_DATA.getMessage("title-accessor");
        TITLE_ADMIN = MessageStorage.MESSAGE_DATA.getMessage("title-admin");
        TITLE_ADVANCED = MessageStorage.MESSAGE_DATA.getMessage("title-advanced");
        TITLE_ALL = MessageStorage.MESSAGE_DATA.getMessage("title-all");
        TITLE_BUILDER = MessageStorage.MESSAGE_DATA.getMessage("title-builder");
        TITLE_BUY = MessageStorage.MESSAGE_DATA.getMessage("title-buy");
        TITLE_CLAIM = MessageStorage.MESSAGE_DATA.getMessage("title-claim");
        TITLE_CONTAINER = MessageStorage.MESSAGE_DATA.getMessage("title-container");
        TITLE_DEFAULT = MessageStorage.MESSAGE_DATA.getMessage("title-default");
        TITLE_GROUP = MessageStorage.MESSAGE_DATA.getMessage("title-group");
        TITLE_INHERIT = MessageStorage.MESSAGE_DATA.getMessage("title-inherit");
        TITLE_MANAGER = MessageStorage.MESSAGE_DATA.getMessage("title-manager");
        TITLE_OWN = MessageStorage.MESSAGE_DATA.getMessage("title-own");
        TITLE_OVERRIDE = MessageStorage.MESSAGE_DATA.getMessage("title-override");
        TITLE_PRESET = MessageStorage.MESSAGE_DATA.getMessage("title-preset");
        TITLE_RENT = MessageStorage.MESSAGE_DATA.getMessage("title-rent");
        TOWN_CHAT_DISABLED = MessageStorage.MESSAGE_DATA.getMessage("town-chat-disabled");
        TOWN_CHAT_ENABLED = MessageStorage.MESSAGE_DATA.getMessage("town-chat-enabled");
        TOWN_NOT_FOUND = MessageStorage.MESSAGE_DATA.getMessage("town-not-found");
        TOWN_NOT_IN = MessageStorage.MESSAGE_DATA.getMessage("town-not-in");
        TOWN_OWNER = MessageStorage.MESSAGE_DATA.getMessage("town-owner");
        TOWN_TAG_CLEAR = MessageStorage.MESSAGE_DATA.getMessage("town-tag-clear");
        TOWN_TAX_NO_CLAIMS = MessageStorage.MESSAGE_DATA.getMessage("town-tax-no-claims");
        TRUST_CLICK_SHOW_LIST = MessageStorage.MESSAGE_DATA.getMessage("trust-click-show-list");
        TRUST_INVALID = MessageStorage.MESSAGE_DATA.getMessage("trust-invalid");
        TRUST_LIST_HEADER = MessageStorage.MESSAGE_DATA.getMessage("trust-list-header");
        TRUST_NO_CLAIMS = MessageStorage.MESSAGE_DATA.getMessage("trust-no-claims");
        TRUST_SELF = MessageStorage.MESSAGE_DATA.getMessage("trust-self");
        UI_CLICK_ADD = MessageStorage.MESSAGE_DATA.getMessage("ui-click-add");
        UI_CLICK_ADD_GROUP = MessageStorage.MESSAGE_DATA.getMessage("ui-click-add-group");
        UI_CLICK_ADD_PLAYER = MessageStorage.MESSAGE_DATA.getMessage("ui-click-add-player");
        UI_CLICK_CONFIRM = MessageStorage.MESSAGE_DATA.getMessage("ui-click-confirm");
        UI_CLICK_RECORD_CHAT = MessageStorage.MESSAGE_DATA.getMessage("ui-click-record-chat");
        UI_CLICK_REMOVE = MessageStorage.MESSAGE_DATA.getMessage("ui-click-remove");
        UI_CLICK_VIEW_TRANSACTIONS = MessageStorage.MESSAGE_DATA.getMessage("ui-click-view-transactions");
        UI_CONFLICT_DATA = MessageStorage.MESSAGE_DATA.getMessage("ui-conflict-data");
        UI_PAY_NEXT_DUE_DATE = MessageStorage.MESSAGE_DATA.getMessage("ui-pay-next-due-date");
        UI_RECORD_CHAT = MessageStorage.MESSAGE_DATA.getMessage("ui-record-chat");
        UNTRUST_NO_CLAIMS = MessageStorage.MESSAGE_DATA.getMessage("untrust-no-claims");
        UNTRUST_SELF = MessageStorage.MESSAGE_DATA.getMessage("untrust-self");

        // reload Flag/Option caches
        for (Option option : OptionRegistryModule.getInstance().getAll()) {
            ((GDOption) option).reloadDescription();
        }
        for (Flag flag : FlagRegistryModule.getInstance().getAll()) {
            ((GDFlag) flag).reloadDescription();
        }
    }
}
